## ros-melodic-mavros 1.16.0

=== debian/changelog ===
ros-melodic-mavros (1.16.0-1bionic) bionic; urgency=high

  * Merge pull request #1829 <https://github.com/mavlink/mavros/issues/1829> from snwu1996/latched_gp_origin_pub
    Made it such that the gp_origin topic publisher is latched.
  * made it such that the gp_origin topic published latched.
  * Merge pull request #1817 <https://github.com/mavlink/mavros/issues/1817> from lucasw/pluginlib_hpp
    use hpp instead of deprecated .h pluginlib headers
  * use hpp instead of deprecated .h pluginlib headers
  * Contributors: Lucas Walter, Shu-Nong Wu, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 05 May 2023 00:00:00 -0000

ros-melodic-mavros (1.15.0-1bionic) bionic; urgency=high

  * Merge pull request #1806 <https://github.com/mavlink/mavros/issues/1806> from scoutdi/fix-some-warnings
    mavros: Fix some warnings
  * mavros: Fix some warnings
  * Contributors: Morten Fyhn Amundsen, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 30 Dec 2022 00:00:00 -0000

ros-melodic-mavros (1.14.0-1bionic) bionic; urgency=high

  * scripts: waypoint and param files are text, not binary
    Fix #1784 <https://github.com/mavlink/mavros/issues/1784>
  * Merge pull request #1780 <https://github.com/mavlink/mavros/issues/1780> from snktshrma/master
    guided_target: accept position-target-global-int messages
  * plugins: add guided_target to accept offboard position targets
    Update guided_target.cpp
    Update guided_target.cpp
    Update mavros_plugins.xml
    Update CMakeLists.txt
    Added offboard_position.cpp
    Update apm_config.yaml
    Update offboard_position.cpp
    Update offboard_position.cpp
    Rename offboard_position.cpp to guided_target.cpp
    Update CMakeLists.txt
    Update mavros_plugins.xml
    Update apm_config.yaml
    Update guided_target.cpp
  * Merge pull request #1775 <https://github.com/mavlink/mavros/issues/1775> from acxz/find-geographiclib
    use already installed FindGeographicLib.cmake
  * add cmake module path for geographiclib on debian based systems
  * Merge pull request #1744 <https://github.com/mavlink/mavros/issues/1744> from amilcarlucas/pr_gimbal_diagnostics_fixes
    mount_control.cpp: detect MOUNT_ORIENTATION stale messages
  * mount_control.cpp: detect MOUNT_ORIENTATION stale messages
    correct MountConfigure response success
    correct constructor initialization order
    some gimbals send negated/inverted angle measurements, correct that to obey the MAVLink frame convention using run-time parameters
  * Merge pull request #1743 <https://github.com/mavlink/mavros/issues/1743> from amilcarlucas/pr_apm_config
    apm_config.yaml: add mount configuration
  * apm_config.yaml: add mount configuration
  * Merge pull request #1732 <https://github.com/mavlink/mavros/issues/1732> from amilcarlucas/pr-meminfo-fix
    MEMINFO fixes
  * sys_status.cpp fix free memory for values > 64KiB
  * Merge pull request #1716 <https://github.com/mavlink/mavros/issues/1716> from amilcarlucas/avoid-harcoded-values
    sys_status.cpp: do not use harcoded constants
  * Merge pull request #1711 <https://github.com/mavlink/mavros/issues/1711> from amilcarlucas/diagnose-up-to-n-batteries
    Diagnose up-to 10 batteries
  * *_config.yaml: document usage of multiple batteries diagnostics
  * sys_status.cpp: fix compilation
  * sys_status.cpp: support diagnostics on up-to 10 batteries
    Uses as many battery monitors as the user specified in min_voltage parameter.
    Add myself as a contributor, this is not my first patch to this file
  * Merge pull request #1712 <https://github.com/mavlink/mavros/issues/1712> from amilcarlucas/fix-disabled-diagnostics
    sys_status.cpp: fix enabling of mem_diag and hwst_diag
  * sys_status.cpp: do not use harcoded constants
  * sys_status.cpp: Timeout on MEMINFO and HWSTATUS mavlink messages and publish on the diagnostics
    Use atomic variable to prevent potential threading problems
  * sys_status.cpp: fix enabling of mem_diag and hwst_diag
  * Merge pull request #1704 <https://github.com/mavlink/mavros/issues/1704> from amilcarlucas/correct-bat-voltages
    sys_status.cpp: Do not use battery1 voltage for all batteries.
  * sys_status.cpp: Do not use battery1 voltage as voltage for all other batteries (bugfix).
    Support both cell and total voltages above 65V
    Support up-to 14S batteries
    If available, add cell voltage information to the battery diagnostic
  * Merge pull request #1707 <https://github.com/mavlink/mavros/issues/1707> from amilcarlucas/ignore-gimbal-sys-status
    sys_status.cpp: ignore sys_status mavlink messages from gimbals
  * sys_status.cpp: ignore sys_status mavlink messages from gimbals
  * Merge pull request #1703 <https://github.com/mavlink/mavros/issues/1703> from amilcarlucas/remove-deprecated-battery2
    sys_status.cpp: remove deprecated BATTERY2 mavlink message support
  * sys_status.cpp: remove deprecated BATTERY2 mavlink message support
  * Merge pull request #1696 <https://github.com/mavlink/mavros/issues/1696> from okalachev/patch-2
    Disable startup_px4_usb_quirk in px4_config.yaml
  * Disable startup_px4_usb_quirk in px4_config.yaml
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Karthik Desai, Oleg Kalachev, Sanket Sharma, Vladimir Ermakov, acxz

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 24 Sep 2022 00:00:00 -0000

ros-melodic-mavros (1.13.0-1bionic) bionic; urgency=high

  * Merge pull request #1690 <https://github.com/mavlink/mavros/issues/1690> from mavlink/fix-enum_sensor_orientation
    Fix enum sensor_orientation
  * py-lib: fix compatibility with py3 for Noetic
  * test: add checks for ROTATION_CUSTOM
  * lib: Fix rotation search for CUSTOM
    Fix #1688 <https://github.com/mavlink/mavros/issues/1688>.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 13 Jan 2022 00:00:00 -0000

ros-melodic-mavros (1.12.2-1bionic) bionic; urgency=high


